Index: FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORSNAST.m
===================================================================
--- FOIAVistA/trunk/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORSNAST.m	(revision 631)
+++ FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORSNAST.m	(revision 636)
@@ -1,5 +1,4 @@
-ORSNAST ;SLC/RAF - Policy order search  ;06/25/2007
- ;;3.0;ORDER ENTRY/RESULTS REPORTING;**50,263**;Dec 17, 1997;Build 9
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ORSNAST ;SLC/RAF - Policy order search  ;10/20/00  14:10
+ ;;3.0;ORDER ENTRY/RESULTS REPORTING;**50**;Dec 17, 1997
  ;
  ;this utility will allow the user to enter a date range to search
@@ -11,6 +10,6 @@
  S U="^" K ^TMP("ORNS",$J),^TMP("ORSERV",$J)
  W @IOF,!!?18,"Nature of Order or Order Status Search.",!?15,"This report is formatted for 132 column output."
- N DASH,DATE,DFN,DIR,DTOUT,DUOUT,EDATE,FORMAT,HDR,HDR1,IEN
- N LOC,LONER,ORIGVIEW,PAGE,PNM,PROV,QUIT,REF,RPDT,SDATE,SER,SERVICE,STOP,TEXT,TEXTSUB
+ N DASH,DATE,DFN,DIR,DTOUT,DUOUT,ED1,EDATE,FORMAT,HDR,HDR1,IEN
+ N LOC,LONER,ORIGVIEW,PAGE,PNM,PROV,QUIT,REF,RPDT,SD1,SDATE,SER,SERVICE,STOP,TEXT,TEXTSUB
  N SINGLE,SIGNED,SNAME,SSN,STATUS,SORT,SEARCH,SUB
  N VA,VADM,WHEN,WHO,Y
@@ -22,7 +21,21 @@
  S DIR("A")="Select "_$S(SORT=1:"Nature of order: ",1:"Order Status: ")
  D ^DIR S:+Y>0 SEARCH=+Y,SNAME=$P(Y,U,2) K DIR I $D(DTOUT)!($D(DUOUT)) G EXIT
- D SDATE I $D(DTOUT)!$D(DUOUT) G EXIT
- D EDATE I $D(DTOUT)!$D(DUOUT) G EXIT
- D CKDATE I $D(DTOUT)!$D(DUOUT) G EXIT
+SDATE ;sets DIR call to ask the user for a starting date
+ S DIR(0)="DA^::ETX"
+ S DIR("A")="Enter a starting date: "
+ S DIR("?")="Enter the date that you wish to start searching with. This date needs to be older than the ending date. For example: If you enter a start date of T-3, the Stop date should be T-2 or less. Enter an ^ to exit the option."
+ D ^DIR S:+Y>0 (SDATE,SD1)=+Y K DIR I $D(DTOUT)!($D(DUOUT)) G EXIT
+ I SDATE'["." S (SDATE,SD1)=SDATE_.2359
+ I $D(DTOUT)!$D(DUOUT) G EXIT
+EDATE ;sets DIR call to ask the user for an ending date (optional)
+ S DIR(0)="DA^::ETX"
+ S DIR("A")="Enter a ending date: "
+ S DIR("?")="Enter the date that you would like the search to end with. This date needs to be more recent than the start date. For example: If you entered a T-3 for the start date, enter a T-2 or less here. Enter an ^ to exit the option."
+ D ^DIR S:+Y>0 (EDATE,ED1)=+Y K DIR I $D(DTOUT)!($D(DUOUT)) G EXIT
+ I EDATE'["." S (EDATE,ED1)=EDATE_.0001
+ I $D(DTOUT)!$D(DUOUT) G EXIT
+SWITCH ;takes the date input from the user and does a switcheroo so the program
+ ;can work as intended
+ I EDATE'>SDATE S EDATE=SD1,SDATE=ED1
 FORMAT ;allows choice of formats for evaluation purpose
  S DIR(0)="SX^1:Detailed format;2:Columnar format"
@@ -60,26 +73,5 @@
  .D ^%ZTLOAD I $D(ZTSK) W !,?32,"REQUEST QUEUED"
  U IO D EN^ORSNAST1
- G EXIT
  ;
-SDATE ;sets DIR call to ask the user for a starting date
- S DIR(0)="DA^::ETX"
- S DIR("A")="Enter a starting date: "
- S DIR("?")="Enter the date that you wish to start searching with. This date needs to be older than the ending date. For example: If you enter a start date of T-3, the Stop date should be T-2 or less. Enter an ^ to exit the option."
- D ^DIR S:+Y>0 SDATE=+Y K DIR I $D(DTOUT)!($D(DUOUT)) Q
- I SDATE'["." S SDATE=SDATE_.0001
- Q
-EDATE ;sets DIR call to ask the user for an ending date (optional)
- S DIR(0)="DA^::ETX"
- S DIR("A")="Enter a ending date: "
- S DIR("?")="Enter the date that you would like the search to end with. This date needs to be more recent than the start date. For example: If you entered a T-3 for the start date, enter a T-2 or less here. Enter an ^ to exit the option."
- D ^DIR S:+Y>0 EDATE=+Y K DIR I $D(DTOUT)!($D(DUOUT)) Q
- I EDATE'["." S EDATE=EDATE_.2359
- Q
-CKDATE ; Make sure the end date is not older than the start date.
- I EDATE>SDATE Q
- W !!,?10,"The starting date must be older than the ending date.",!,?10,"Please re-enter start and end dates.",!!
- D SDATE I $D(DTOUT)!$D(DUOUT) Q
- D EDATE I $D(DTOUT)!$D(DUOUT) Q
- G CKDATE
 EXIT ;
  K ^TMP("ORNS",$J),^TMP("ORSERV",$J)
Index: FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWDX.m
===================================================================
--- FOIAVistA/trunk/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWDX.m	(revision 631)
+++ FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWDX.m	(revision 636)
@@ -1,5 +1,15 @@
-ORWDX ; SLC/KCM/REV/JLI - Order dialog utilities ;11/09/2006
- ;;3.0;ORDER ENTRY/RESULTS REPORTING;**10,85,125,131,132,141,164,178,187,190,195,215,246**;Dec 17, 1997;Build 8
- ;Per VHA Directive 2004-038, this routine should not be modified.
+ORWDX ; SLC/KCM/REV/JLI - Order dailog utilities ;4/21/07  19:18
+ ;;3.0;ORDER ENTRY/RESULTS REPORTING;**10,85,125,131,132,141,164,178,187,190,195,215,269**;Dec 17, 1997;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+NXT() ; -- Gets index in array
+ S ILST=ILST+1
+ Q ILST
  ;
 ORDITM(Y,FROM,DIR,XREF) ; Subset of orderable items
@@ -33,9 +43,23 @@
  ;         X123456;1      = change order,  134      = quick dialog
  N I,J,DLG,INST,ID,VAL,ILST,ROOT S ROOT=""
- I RSPID["-" S ROOT="^TMP(""ORWDXMQ"",$J,"""_RSPID_""")" G XROOT^ORWDX2
- I $E(RSPID)="X" S ROOT="^OR(100,"_+$P(RSPID,"X",2)_",4.5)"  G XROOT^ORWDX2
- I +RSPID=RSPID  S ROOT="^ORD(101.41,"_+RSPID_",6)" G XROOT^ORWDX2
+ I RSPID["-" S ROOT="^TMP(""ORWDXMQ"",$J,"""_RSPID_""")" G XROOT
+ I $E(RSPID)="X" S ROOT="^OR(100,"_+$P(RSPID,"X",2)_",4.5)"  G XROOT
+ I +RSPID=RSPID  S ROOT="^ORD(101.41,"_+RSPID_",6)" G XROOT
  Q:ROOT=""
- G XROOT^ORWDX2
+XROOT S (ILST,I)=0 F  S I=$O(@ROOT@(I)) Q:I'>0  D
+ . S DLG=$P(@ROOT@(I,0),U,2),INST=$P(^(0),U,3)
+ . S ID=$P($G(^ORD(101.41,DLG,1)),U,3)
+ . I '$L(ID) S ID="ID"_DLG
+ . S VAL=$G(@ROOT@(I,1))
+ . I $P($G(^ORD(101.41,DLG,0)),U)="OR GTX ADDITIVE" S ID="ADDITIVE"
+ . I $E(RSPID)="C",(ID="START"),VAL Q  ; skip literal start time on copy
+ . S LST($$NXT)="~"_DLG_U_INST_U_ID
+ . I $L(VAL) D
+ .. S LST($$NXT)="i"_VAL,LST($$NXT)="e"_$$EXTVAL(VAL,DLG)
+ . I $D(@ROOT@(I,2))>1 D
+ .. S J=0 F  S J=$O(@ROOT@(I,2,J)) Q:J'>0  D
+ ... S LST($$NXT)="t"_$G(@ROOT@(I,2,J,0))
+ I $E(ROOT,1,4)="^TMP" K ^TMP("ORWDXMQ",$J)
+ Q
 SAVE(REC,ORVP,ORNP,ORL,DLG,ORDG,ORIT,ORIFN,ORDIALOG,ORDEA,ORAPPT,ORSRC,OREVTDF) ;
  ; ORVP=DFN, ORNP=Provider, ORL=Location, DLG=Order Dialog,
@@ -53,5 +77,5 @@
  I $G(ORDIALOG("ORSLOG")) S ORLOG=ORDIALOG("ORSLOG") K ORDIALOG("ORSLOG")
  I $D(ORDIALOG("OREVENT")) S OREVENT=ORDIALOG("OREVENT") K ORDIALOG("OREVENT")
- ;=====================================================
+ ;=======
  ; Changed for v26.27 (RV)
  S ORCAT=$$INPT^ORCD,ORCAT=$S(ORCAT=1:"I",1:"O")
@@ -62,5 +86,5 @@
  ;. S ORCAT=$S(OREVTYPE="A":"I",OREVTYPE="T":"I",ONPASS=1:"O",1:"O")
  ;E  S ORCAT=$S($L($P($G(^DPT(+ORVP,.1)),U)):"I",1:"O")
- ;=====================================================
+ ;=======
  I DLG="PS MEDS" S ORWP94=1 D
  . I ORIT=$O(^ORD(101.41,"AB","PSO SUPPLY",0)) S DLG="PSO SUPPLY"
@@ -143,4 +167,7 @@
  .. N OK S OK=$$LOCK1^ORX2(ORDERID) I 'OK S ORWERR="1^"_$P(OK,U,2)
  .. I OK D EN^ORCSEND(ORDERID,"",ORWSIG,ORWREL,ORWNATR,"",.ORWERR),UNLK1^ORX2(ORDERID)
+ .. S PSOSITE=$G(^SC(+ORL,"AFRXSITE")) ;+ORL is hospital location from ORWDX
+ .. Q:PSOSITE=""  ;Quits with no autofinish if File#44 does not point to File#59
+ .. I $P($G(^PS(59,PSOSITE,"RXFIN")),"^",1)="Y",$$GET1^DIQ(100,+ORDERID_",",12)="OUTPATIENT PHARMACY" D EN^PSOAFIN ;vfam
  . S ORWLST(ORWI)=ORDERID,X=""
  . I $L(ORWERR) S ORWLST(ORWI)=ORWLST(ORWI)_"^E^"_ORWERR Q
@@ -150,4 +177,10 @@
  I $G(ORLAB) D BTS^ORMBLD(ORVP)
  Q
+EXTVAL(IVAL,DLG) ; External value given a dlg ptr
+ N ORDIALOG
+ S ORDIALOG(DLG,0)=$P($G(^ORD(101.41,DLG,1)),U,1,2)
+ S ORDIALOG(DLG,1)=IVAL
+ I $E(ORDIALOG(DLG,0))="R",(+IVAL'=IVAL) Q IVAL  ; free text date/time
+ Q $$EXT^ORCD(DLG,1)  ; all others
 DLGID(VAL,ORIFN) ; return dlg IEN for order
  S VAL=$P(^OR(100,+ORIFN,0),U,5)
Index: FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWPT.m
===================================================================
--- FOIAVistA/trunk/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWPT.m	(revision 631)
+++ FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWPT.m	(revision 636)
@@ -1,13 +1,37 @@
-ORWPT ; SLC/KCM/REV - Patient Lookup Functions ;3/18/05  10:50
- ;;3.0;ORDER ENTRY/RESULTS REPORTING;**10,85,132,149,206,187,190,215**;Dec 17, 1997
- ;
- ; Ref. to ^UTILITY via IA 10061
- ; 
+ORWPT ; SLC/KCM/REV - Patient Lookup Functions ;11/23/06  10:50
+ ;;3.0;ORDER ENTRY/RESULTS REPORTING;**10,85,132,149,206,187,190,215,269**;Dec 17, 1997 LOCAL ;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License
+ ;;VOE VWPT PACKAGE ENHANCEMENT UPDATES ADDED 11/14/06
+ ;
+ Q 
 IDINFO(REC,DFN) ; Return identifying information for a patient
+ ;VWPT BELOW ADD HRN AND ALT HRN
+ ; PID^DOB^SEX^VET^SC%^WARD^RM-BED^NAME^HRN^ALTHRN
  ; PID^DOB^SEX^VET^SC%^WARD^RM-BED^NAME
  N X0,X1,X101,X3,XV  ; name/dob/sex/ssn, ward, room-bed, sc%, vet
  S X0=$G(^DPT(DFN,0)),X1=$G(^(.1)),X101=$G(^(.101)),X3=$G(^(.3)),XV=$G(^("VET"))
- S REC=$$SSN^DPTLK1(DFN)_U_$$DOB^DPTLK1(DFN,2)_U_$P(X0,U,2)_U_$P(XV,U)_U_$P(X3,U,2)_U_$P(X1,U)_U_$P(X101,U)_U_$P(X0,U) ;DG249
- Q
+ ;VWPT ENHANCED
+ N HRN,ID
+ S HRN=$$HRN^DGLBPID(DFN)
+ S ID=$$ID^DGLBPID(DFN)
+ I (ID=HRN)&(HRN'="") D
+ .S REC=U_$$DOB^DPTLK1(DFN,2)_U_$P(X0,U,2)_U_$P(XV,U)_U_$P(X3,U,2)_U_$P(X1,U)_U_$P(X101,U)_U_$P(X0,U)_U_$$HRNRET(DFN)_U_$$ALTHRN^ORWPT2(DFN) ;DG249
+ E  D
+ .S REC=$$ID^DGLBPID(DFN)_U_$$DOB^DPTLK1(DFN,2)_U_$P(X0,U,2)_U_$P(XV,U)_U_$P(X3,U,2)_U_$P(X1,U)_U_$P(X101,U)_U_$P(X0,U)_U_$$HRNRET(DFN)_U_$$ALTHRN^ORWPT2(DFN) ;DG249
+ ;S REC=$$SSN^DPTLK1(DFN)_U_$$DOB^DPTLK1(DFN,2)_U_$P(X0,U,2)_U_$P(XV,U)_U_$P(X3,U,2)_U_$P(X1,U)_U_$P(X101,U)_U_$P(X0,U) ;DG249
+ ;END VWPT
+ Q
+ ;VWPT RETURN HRN .CHECK FOR "sensitive" patients
+HRNRET(DFN) ;
+ N IRET
+ S IRET=$$HRN^DGLBPID(DFN) ;$$HRN^VWVOEDPT(DFN)
+ ;I (IRET'="")&$$SCREEN^DPTLK1(DFN) Q "*SENSITIVE*"  ;"HRN SENSITIVE"
+ I (IRET'="") Q "'"_IRET_"'" ;"HRN:"_"'"_IRET_"'"
+ Q ""
+ ; END VWPT
 PTINQ(REF,DFN) ; Return formatted pt inquiry report
  K ^TMP("ORDATA",$J,1)
@@ -43,25 +67,20 @@
  ;  1    2   3   4    5      6    7    8       9       10      11  12
  ; NAME^SEX^DOB^SSN^LOCIEN^LOCNM^RMBD^CWAD^SENSITIVE^ADMITTED^CONV^SC^
- ; 13  14  15  16
- ; SC%^ICN^AGE^TS
+ ;VWPT HRN , ALTERNATE HRN
+ ; 13  14  15  16  17  18
+ ; SC%^ICN^AGE^TS^HRN^AltHRN
+ ; ;
+ ; ;end vwpt
+ ;
  ;
  ; for CCOW (RV - 2/27/03)  name="-1", location=error message
  I '$D(^DPT(DFN,0)) S REC="-1^^^^^Patient is unknown to CPRS." Q
  ;
- N X
+ N X,ID,HRN
  K ^TMP("ORWPCE",$J) ; delete PCE 'cache' when switching patients
- S X=^DPT(DFN,0),REC=$P(X,U,1,3)_U_$P(X,U,9)_U_U_$G(^(.1))_U_$G(^(.101))
- S X=$P(REC,U,6) I $L(X) S $P(REC,U,5)=+$G(^DIC(42,+$O(^DIC(42,"B",X,0)),44))
- S $P(REC,U,8)=$$CWAD^ORQPT2(DFN)_U_$$EN1^ORQPT2(DFN)
- ; I $P(REC,U,9) D EN2^ORQPT2(DFN)  ;update DG security log ; DG249
- S X=$G(^DPT(DFN,.105)) I X S $P(REC,U,10)=$P($G(^DGPM(X,0)),U)
- S:'$D(IOST) IOST="P-OTHER"
- S $P(REC,U,11)=$$OTF^OR3CONV(DFN,1)
- D ELIG^VADPT S $P(REC,U,12)=$G(VAEL(3)) ;two pieces: SC^SC%
- I $L($T(GETICN^MPIF001)) S X=+$$GETICN^MPIF001(DFN) S:X>0 $P(REC,U,14)=X
+ D VWPT1^ORWPT2 ;moved code to ORWPT2 to save space
  S $P(REC,U,15)=$$AGE(DFN,$P(REC,U,3))
  S $P(REC,U,16)=+$G(^DPT(DFN,.103)) ; treating specialty
- K VAEL,VAERR ;VADPT call to kill?
- S ^DISV(DUZ,"^DPT(")=DFN
+ D VWPT2^ORWPT2
  Q
 SHARE(VAL,IP,HWND,DFN) ; Set global to share DFN with other applications
@@ -83,5 +102,5 @@
  S (I,IEN)=0,XREF=$S($L(ID)=5:"BS5",1:"BS")
  F  S IEN=$O(^DPT(XREF,ID,IEN)) Q:'IEN  D
- . S I=I+1,LST(I)=IEN_U_$P(^DPT(IEN,0),U)_U_$$DOB^DPTLK1(IEN,2)_U_$$SSN^DPTLK1(IEN)  ; DG249
+ . S I=I+1,LST(I)=IEN_U_$P(^DPT(IEN,0),U)_U_$$DOB^DPTLK1(IEN,2)_U_$$ID^DGLBPID(IEN) ;$$SSN^DPTLK1(IEN)  ; DG249
  Q
  ;
@@ -98,5 +117,5 @@
  .I ((ORPIEN<0)!(ORPIEN="")) Q
  .S ORCNT=ORCNT+1
- .S LST(ORCNT)=ORPIEN_U_$P(^DPT(ORPIEN,0),U)_U_$$DOB^DPTLK1(ORPIEN,2)_U_$$SSN^DPTLK1(ORPIEN) ; DG249.
+ .S LST(ORCNT)=ORPIEN_U_$P(^DPT(ORPIEN,0),U)_U_$$DOB^DPTLK1(ORPIEN,2)_U_$$ID^DGLBPID(ORPIEN) ;$$SSN^DPTLK1(ORPIEN) ; DG249.
  ;
  Q
@@ -106,5 +125,5 @@
  S (I,IEN)=0
  F  S IEN=$O(^DPT("SSN",ID,IEN)) Q:'IEN  D
- . S I=I+1,LST(I)=IEN_U_$P(^DPT(IEN,0),U)_U_$$DOB^DPTLK1(IEN,2)_U_$$SSN^DPTLK1(IEN)  ; DG249
+ . S I=I+1,LST(I)=IEN_U_$P(^DPT(IEN,0),U)_U_$$DOB^DPTLK1(IEN,2)_U_$$ID^DGLBPID(IEN) ;$$SSN^DPTLK1(IEN)  ; DG249
  Q
  ;
@@ -124,5 +143,5 @@
  ..I (ORPIEN'=ORPT) Q
  ..S ORCNT=ORCNT+1
- ..S LST(ORCNT)=ORPIEN_U_$P(^DPT(ORPIEN,0),U)_U_$$DOB^DPTLK1(ORPIEN,2)_U_$$SSN^DPTLK1(ORPIEN) ; DG249.
+ ..S LST(ORCNT)=ORPIEN_U_$P(^DPT(ORPIEN,0),U)_U_$$DOB^DPTLK1(ORPIEN,2)_U_$$ID^DGLBPID(ORPIEN) ;SSN^DPTLK1(ORPIEN) ; DG249.
  ;
  Q
@@ -237,2 +256,3 @@
  ;NDBI(X) ; National Database Integration site 1 = yes  0 = no
  ; N R,G S X="A7RDUP" X ^%ZOSF("TEST") S R=$T,G=$S($D(^A7RCP):1,1:0),X=R+G,X=$S(X=2:1,1:0) Q X
+ ;
Index: FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWRP1.m
===================================================================
--- FOIAVistA/trunk/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWRP1.m	(revision 631)
+++ FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWRP1.m	(revision 636)
@@ -1,4 +1,4 @@
-ORWRP1 ; ALB/MJK,dcm Report Calls ;9/18/96  15:02
- ;;3.0;ORDER ENTRY/RESULTS REPORTING;**10,85,109,160,262**;Dec 17, 1997;Build 3
+ORWRP1 ; ALB/MJK,dcm Report Calls ;7/20/07  14:43
+ ;;3.0;ORDER ENTRY/RESULTS REPORTING;**10,85,109,160,262,269**;Dec 17, 1997;Build 28
  ;
 AHS(ROOT,ORDFN,ORHS,ALPHA,OMEGA,DTRANGE,REMOTE,ORMAX,ORFHIE) ; - get adhoc health summary report
@@ -94,5 +94,5 @@
 VITALS(ROOT,ORDFN,ID,ALPHA,OMEGA,ORDTRNG,REMOTE,ORMAX,ORFHIE) ; -- get vitals report
  D START^ORWRP(132,"VITALSB^ORWRP1(.ROOT,.ORDFN,.ID,.ALPHA,.OMEGA,.ORDTRNG,.REMOTE,.ORMAX,.ORFHIE)")
- Q
+ D EN^GMRVPGC(ORDFN) Q
 VITALSB(ROOT,ORDFN,ID,ALPHA,OMEGA,ORDTRNG,REMOTE,ORMAX,ORFHIE) ; -- build vitals report
  N ORVP,XQORNOD,ORSSTRT,ORSSTOP
Index: FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWRPP1.m
===================================================================
--- FOIAVistA/trunk/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWRPP1.m	(revision 631)
+++ FOIAVistA/tag/r/ORDER_ENTRY_RESULTS_REPORTING-OR-OCX--ORRC--ORRJ/ORWRPP1.m	(revision 636)
@@ -1,8 +1,7 @@
 ORWRPP1 ; slc/dcm - Background Report Prints (cont.) ; 12/05/02  11:02
- ;;3.0;ORDER ENTRY/RESULTS REPORTING;**109,160,192,263**;Dec 17, 1997;Build 9
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;ORDER ENTRY/RESULTS REPORTING;**109,160,192**;Dec 17, 1997
 MEDB(ROOT,ORDFN,OREXAMID,ORALPHA,OROMEGA,ORDTRNG,REMOTE,ORMAX,ORFHIE)  ;Print Medicine report
  K ^TMP("MCAR",$J)
- ;I '$D(^MCAR(690,"AC",ORDFN)) Q
+ I '$D(^MCAR(690,"AC",ORDFN)) Q
  N ORHFS,%,%I,DA,DILCT,DISTP,S1,S2,S4,S6,TY,WH
  S ORHFS=1
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBINGO.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBINGO.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBINGO.m	(revision 636)
@@ -1,9 +1,8 @@
-PSOBINGO ;BHAM ISC/LC - BINGO BOARD OPTION DRIVER ;8/1/07 1:45pm
- ;;7.0;OUTPATIENT PHARMACY;**12,28,56,125,152,232,268,275**;DEC 1997;Build 8
+PSOBINGO ;BHAM ISC/LC - BINGO BOARD OPTION DRIVER ;1/18/06 9:09am
+ ;;7.0;OUTPATIENT PHARMACY;**12,28,56,125,152,232,268**;DEC 1997;Build 9
  ;External Ref. to ^PS(55 is supp. by DBIA# 2228
  ;External Ref. to ^PSDRUG(, is supp. by DBIA# 221
  ;
- ;*232 add ATIC xref set/kill code here
- ;*275 BA xref sometimes gets corrupted, kill bad BA xref and quit
+ ;PSO*7*232 add ATIC xref set/kill code here
  ;
  S (FLAG,FLAG1)=0,(TRIPS,JOES,ADV,DGP)="" G:'$G(PSOAP) END D:'$D(PSOPAR) ^PSOLSET G:'$D(PSOPAR) END
@@ -85,10 +84,5 @@
 FIRST ;Set 1st dup
  S DR="11////A" D ^DIE K DR,CNT
-BROW S DA=SDA,NOPE=0,CNT=0
- F NIEN=0:0 S NIEN=$O(^PS(52.11,"BA",NAM,NIEN)) Q:'NIEN!(NIEN=$G(DA))  D  Q:NOPE
- . ;add check for bad xref and kill        *275
- . I '$D(^PS(52.11,NIEN,0)) K ^PS(52.11,"BA",NAM,NIEN) Q
- . D:$D(^PS(52.11,"BI")) BICK Q:CNT>0
- . D SETNEW
+BROW S DA=SDA,NOPE=0,CNT=0 F NIEN=0:0 S NIEN=$O(^PS(52.11,"BA",NAM,NIEN)) Q:'NIEN!(NIEN=$G(DA))  D:$D(^PS(52.11,"BI")) BICK Q:CNT>0  D SETNEW Q:NOPE
  Q
 SETNEW S SSN1=$O(^PS(52.11,"BA",NAM,NIEN,0)),ADFN=$P(^PS(52.11,NIEN,0),"^"),CNT=1 I SSN1=SSN S NOPE=1 Q
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBPSU1.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBPSU1.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBPSU1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSOBPSU1 ;BIRM/MFR - BPS (ECME) Utilities 1 ;10/15/04
- ;;7.0;OUTPATIENT PHARMACY;**148,260,281**;DEC 1997;Build 41
+ ;;7.0;OUTPATIENT PHARMACY;**148,260**;DEC 1997;Build 84
  ;Reference to $$EN^BPSNCPDP supported by IA 4415
  ;References to $$NDCFMT^PSSNDCUT,$$GETNDC^PSSNDCUT supported by IA 4707
@@ -45,5 +45,5 @@
  I $$NDCFMT^PSSNDCUT($G(NDC))="" D
  . S NDC=$$GETNDC^PSSNDCUT($$GET1^DIQ(52,RX,6,"I"),$$RXSITE^PSOBPSUT(RX,RFL),+$G(CMOP))
- . I $G(NDC)'="" D SAVNDC^PSONDCUT(RX,RFL,NDC,+$G(CMOP),1)
+ . I $G(NDC)'="" D SAVNDC^PSONDCUT(RX,RFL,NDC,+$G(CMOP))
  ;
  ; - Creating ECME Activity Log on the PRESCRIPTION file
@@ -63,5 +63,4 @@
  I $G(RVTX)="",FROM="ED" S RVTX="RX EDITED"
  S RESP=$$EN^BPSNCPDP(RX,RFL,$$DOS(RX,RFL,.DATE),FROM,NDC,$G(RVTX),$G(OVRC),,$G(CLA),$G(PA))
- I $$STATUS^PSOBPSUT(RX,RFL)="E PAYABLE" D SAVNDC^PSONDCUT(RX,RFL,NDC,+$G(CMOP),1)
  ;
  ; - Reseting the Re-transmission flag
@@ -70,10 +69,9 @@
  ; - Logging ECME Activity Log to the PRESCRIPTION file
  I $G(ALTX)="" D
- . N X,ROUTE S (ROUTE,X)=""
- . S ROUTE=$S(FROM="RF":$$GET1^DIQ(52.1,RFL_","_RX_",",2),FROM="OF":$$GET1^DIQ(52,RX_",",11),1:"")
- . S:FROM="OF" X=ROUTE_" FILL(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
- . S:FROM="RF" X=ROUTE_" REFILL(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
+ . N X S X=""
+ . S:FROM="OF" X="WINDOW FILL(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
+ . S:FROM="RF" X="WINDOW REFILL(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
  . S:FROM="RN" X="RX RENEWED(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
- . S:FROM="PL" X="PRINTED FROM SUSPENSE(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
+ . S:FROM="PL" X="SUSP LABEL PRINTED(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
  . S:FROM="PE"!(FROM="PP") X="PULLED FROM SUSPENSE(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
  . S:FROM="PC" X="CMOP TRANSMISSION(NDC:"_$$GETNDC^PSONDCUT(RX,RFL)_")"
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBPSUT.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBPSUT.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBPSUT.m	(revision 636)
@@ -1,4 +1,4 @@
 PSOBPSUT ;BIRM/MFR - BPS (ECME) Utilities ; 07 Jun 2005  8:39 PM
- ;;7.0;OUTPATIENT PHARMACY;**148,247,260,281**;DEC 1997;Build 41
+ ;;7.0;OUTPATIENT PHARMACY;**148,247,260**;DEC 1997;Build 84
  ;Reference to $$ECMEON^BPSUTIL supported by IA 4410
  ;Reference to IBSEND^BPSECMP2 supported by IA 4411
@@ -26,11 +26,9 @@
  ;
  ; - Get the REFILL # (multiple IEN)
- N STATUS
  I '$D(RFL) S RFL=$$LSTRFL^PSOBPSU1(RX)
  ; - Not the latest fill for the prescription
  I RFL'=$$LSTRFL^PSOBPSU1(RX) Q 0
- ; - Status not ACTIVE, DISCONTINUED, or EXPIRED
- S STATUS=$$GET1^DIQ(52,RX,100,"I")
- I STATUS'=0&(STATUS'=11)&(STATUS'=12) Q 0
+ ; - Status not ACTIVE
+ I $$GET1^DIQ(52,RX,100,"I")'=0 Q 0
  ; Will suspend for CMOP
  I '$G(IGCMP),$$CMOP(RX,RFL) Q 0
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBUILD.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBUILD.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOBUILD.m	(revision 636)
@@ -1,4 +1,4 @@
-PSOBUILD ;IHS/DSD/JCM - BUILD ARRAY OF PATIENTS CURRENT MEDS  [ 07/15/96  5:25 PM ] ;6/21/07 8:20am
- ;;7.0;OUTPATIENT PHARMACY;**23,82,119,132,235,206**;DEC 1997;Build 39
+PSOBUILD ;IHS/DSD/JCM - BUILD ARRAY OF PATIENTS CURRENT MEDS  [ 07/15/96  5:25 PM ]
+ ;;7.0;OUTPATIENT PHARMACY;**23,82,119,132,235**;DEC 1997
  ;External reference ^PS(50.606 supported by DBIA 2174
  ;External reference ^PS(50.7 supported by DBIA 2223
@@ -45,5 +45,5 @@
  S PSODRG=+$P(PSORX0,"^",6) G:'$D(^PSDRUG(PSODRG,0)) GETX S PSODRUG0=^PSDRUG(PSODRG,0),PSOVACL=$P(PSODRUG0,"^",2),PSODYS=$P(PSORX0,"^",8)
  ;
- I PSOST0<12!(PSOST0=16),PSOEXPDT<DT D:$P(PSORX0,"^",15)'=11
+ I PSOST0<12,PSOEXPDT<DT D:$P(PSORX0,"^",15)'=11
  .S PSOST0=11,$P(PSORX0,"^",15)=11 N DIE,DIC,DR,DA,PSOBEXDA S DIE=52,(DA,PSOBEXDA)=PSOBUILD("RX"),DR="100////11" D ^DIE K DIE,DIC,DR
  .D ECAN^PSOUTL(DA) K DA
@@ -61,6 +61,6 @@
  I $P($G(^PSDRUG(PSODRG,2)),"^",3)'["O" S PSOSTN=PSOSTN_"M"
  S CLOZPT=$S($P($G(^PSDRUG(PSODRG,"CLOZ1")),"^")="PSOCLO1":1,1:0)
- I 'CLOZPT,($P(PSODRUG0,"^",3)["A")&($P(PSODRUG0,"^",3)'["B") S PSOSTN=PSOSTN_"B",PSOSTF=PSOSTF_"B"
- K CLOZPT I ($P(PSODRUG0,"^",3)["W")!($P(PSODRUG0,"^",3)[1)!($P(PSODRUG0,"^",3)[2) S PSOSTN=PSOSTN_"C"
+ I 'CLOZPT,$P(PSODRUG0,"^",3)["A",$P(PSODRUG0,"^",3)'["B" S PSOSTN=PSOSTN_"B",PSOSTF=PSOSTF_"B"
+ K CLOZPT I $P(PSODRUG0,"^",3)["W" S PSOSTN=PSOSTN_"C"
  I $D(^PS(53,+$P(PSORX0,"^",3),0)),'$P(^(0),"^",5) S PSOSTN=PSOSTN_"D"
  I PSOST0=1 S PSOSTN=PSOSTN_"E"
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCAN2.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCAN2.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCAN2.m	(revision 636)
@@ -1,4 +1,4 @@
 PSOCAN2 ;BHAM ISC/JMB - modular rx cancel with speed ability drug check ; 10/23/06 11:30am
- ;;7.0;OUTPATIENT PHARMACY;**8,18,62,46,88,164,235,148,259,281**;DEC 1997;Build 41
+ ;;7.0;OUTPATIENT PHARMACY;**8,18,62,46,88,164,235,148,259**;DEC 1997;Build 5
  ;External reference to ^PSDRUG supported by dbia 221
 REINS N DODR
@@ -30,5 +30,5 @@
  . N ACTION
  . D ECMESND^PSOBPSU1(RXIEN,,,$S($O(^PSRX(RXIEN,1,0)):"RF",1:"OF"))
- . I $$FIND^PSOREJUT(RXIEN) S ACTION=$$HDLG^PSOREJU1(RXIEN,,"79,88","OF","IOQ","Q")
+ . I $$FIND^PSOREJUT(RXIEN) S ACTION=$$HDLG^PSOREJU1(RXIEN,,"79,88","OF","IOQ","I")
  ;
  W !?3,"Prescription #",RX," "
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCAN4.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCAN4.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCAN4.m	(revision 636)
@@ -1,4 +1,20 @@
-PSOCAN4 ;BIR/SAB-rx speed dc listman ; 10/23/06 11:50am
- ;;7.0;OUTPATIENT PHARMACY;**20,24,27,63,88,117,131,259,268**;DEC 1997;Build 9
+PSOCAN4 ;BIR/SAB-rx speed dc listman ; 11/3/06 9:50pm
+ ;;7.0;OUTPATIENT PHARMACY;**20,24,27,63,88,117,131,259,268,208**;DEC 1997;Build 39
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  ;External reference to File #200 supported by DBIA 224
  ;External reference NA^ORX1 supported by DBIA 2186
@@ -52,12 +68,15 @@
 OK S ORD=SAVORD,ORN=SAVORN Q
 NOOR ;ask nature of order
- D FULL^VALM1
- K DIR,DTOUT,DTOUT,DIRUT I $T(NA^ORX1)]"" D  Q:$D(DIRUT)  G NOORXP
- .S PSONOOR=$$NA^ORX1("S",0,"B","Nature of Order",0,"WPSDIVR"_$S(+$G(^VA(200,DUZ,"PS")):"E",1:""))
- .I +PSONOOR S PSONOOR=$P(PSONOOR,"^",3) Q
- .S DIRUT=1 K PSONOOR
- S DIR("A")="Nature of Order: ",DIR("B")=$S($G(DODR):"SERVICE CORRECTED",1:"WRITTEN")
- S DIR(0)="SA^W:WRITTEN;V:VERBAL;P:TELEPHONE;S:SERVICE CORRECTED;D:DUPLICATE;I:POLICY;R:SERVICE REJECTED"_$S(+$G(^VA(200,DUZ,"PS")):";E:PROVIDER ENTERED",1:"")
- D ^DIR K DIR,DTOUT,DTOUT Q:$D(DIRUT)  S PSONOOR=Y
+ ;vfah set nature of order automatically for autofinish,rx
+ I $G(PSOAFYN)'="Y" D FULL^VALM1 ;vfah
+ I $G(PSOAFYN)'="Y" K DIR,DTOUT,DTOUT,DIRUT I $T(NA^ORX1)]"" D  Q:$D(DIRUT)  G NOORXP ;vfah
+ .I $G(PSOAFYN)'="Y" S PSONOOR=$$NA^ORX1("S",0,"B","Nature of Order",0,"WPSDIVX"_$S(+$G(^VA(200,DUZ,"PS")):"E",1:"")) ;vfah
+ .I $G(PSOAFYN)'="Y" I +PSONOOR S PSONOOR=$P(PSONOOR,"^",3) Q  ;vfah
+ .I $G(PSOAFYN)'="Y" S DIRUT=1 K PSONOOR ;vfah
+ I $G(PSOAFYN)'="Y" S DIR("A")="Nature of Order: ",DIR("B")=$S($G(DODR):"SERVICE CORRECTED",1:"WRITTEN") ;vfah
+ I $G(PSOAFYN)'="Y" S DIR(0)="SA^W:WRITTEN;V:VERBAL;P:TELEPHONE;S:SERVICE CORRECTED;D:DUPLICATE;I:POLICY;X:REJECTED"_$S(+$G(^VA(200,DUZ,"PS")):";E:PROVIDER ENTERED",1:"")
+ I $G(PSOAFYN)'="Y" D ^DIR K DIR,DTOUT,DTOUT Q:$D(DIRUT)  S PSONOOR=Y ;vfah
+ I $G(PSOAFYN)="Y" S PSONOOR="S" ;vfah sets nature of order to service correction for autofinish,rx
+ ;vfah end of set nature of order
 NOORXP I $G(PSOCANRA),'$G(PSOCANRZ) D REQ
 NOORX S:$D(DIRUT)&($G(SPEED)) VALMBCK="Q"
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCMOP.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCMOP.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCMOP.m	(revision 636)
@@ -1,4 +1,4 @@
-PSOCMOP ;BIR/HTW-Rx Order Entry Screen for CMOP ; 6/28/07 7:35am
- ;;7.0;OUTPATIENT PHARMACY;**2,16,21,27,43,61,126,148,274**;DEC 1997;Build 8
+PSOCMOP ;BIR/HTW-Rx Order Entry Screen for CMOP ;02/19/98  9:21 AM 
+ ;;7.0;OUTPATIENT PHARMACY;**2,16,21,27,43,61,126,148**;DEC 1997
  ;External reference to ^PS(55 supported by DBIA 2228
  ;External reference to ^PSDRUG supported by DBIA 221
@@ -79,5 +79,5 @@
  D REVERSE^PSOBPSU1(RXN,,"DC",3)
  Q
-ACT S RXF=0 F I=0:0 S I=$O(^PSRX(DA,1,I)) Q:'I  S RXF=I S:I>5 RXF=I+1
+ACT I '$D(RXF) S RXF=0 F I=0:0 S I=$O(^PSRX(DA,1,I)) Q:'I  S RXF=I S:I>5 RXF=I+1
  S IR=0 F FDA=0:0 S FDA=$O(^PSRX(DA,"A",FDA)) Q:'FDA  S IR=FDA
  S IR=IR+1,^PSRX(DA,"A",0)="^52.3DA^"_IR_"^"_IR
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCPC.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCPC.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCPC.m	(revision 636)
@@ -1,4 +1,4 @@
-PSOCPC ;BHAM ISC/BAB - PHARMACY CO-PAY APPLICATION ; 7/13/07 10:21am
- ;;7.0;OUTPATIENT PHARMACY;**10,9,71,85,114,157,143,239,201,275**;DEC 1997;Build 8
+PSOCPC ;BHAM ISC/BAB - PHARMACY CO-PAY APPLICATION ;06/09/92
+ ;;7.0;OUTPATIENT PHARMACY;**10,9,71,85,114,157,143,239,201**;DEC 1997
  ;
  ;REF/IA
@@ -79,6 +79,4 @@
  . D ASKEXEM
  I $D(PSOCHG) D
- . ;PSO*7*275 IBQ node should not be present in some cases.
- . K ^PSRX(PSODA,"IBQ")
  . S:PSOSCP<50&($TR(PSOIBQ,"^")'="")&($P($G(^PS(53,+$G(PSOPATST),0)),"^",7)'=1) ^PSRX(PSODA,"IBQ")=PSOIBQ
  . D RESET^PSORN52D  ;set SC/EI on ICD node
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCSTM.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCSTM.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOCSTM.m	(revision 636)
@@ -1,10 +1,9 @@
-PSOCSTM ;BHAM ISC/SAB - monthly rx cost compilation ;7/10/06 4:36pm
- ;;7.0;OUTPATIENT PHARMACY;**4,17,19,28,89,212,246**;DEC 1997;Build 12
+PSOCSTM ;BHAM ISC/SAB - monthly rx cost compilation ;9/14/05 1:13pm
+ ;;7.0;OUTPATIENT PHARMACY;**4,17,19,28,89,212**;DEC 1997
  ;External Ref. to ^PS(55 DBIA# 2228
  ;External Ref. to ^DPT DBIA# 10035
  ;External Ref. to ^PSDRUG DBIA# 221
  ;
- ;*212 don't allow this request, if monthly compile is running
- ;*246 alter SRCH1 For loop to not init to numeric values
+ ;PSO*212 don't allow this request, if monthly compile is running
  ;
  Q:$$MTHLCK(1)            ;get lock, quit if already locked    PSO*212
@@ -33,13 +32,8 @@
  Q
  ;
-SRCH1 D INI
- ;refill
- S PSDT1=PSDT                                ;*246
- F  S PSDT1=$O(^PSRX("AL",PSDT1)) Q:($E(PSDT1,1,7)<PSDT)!($E(PSDT1,1,7)>PSDTX)  D
+SRCH1 D INI F PSDT1=PSDT:0:PSDTX S PSDT1=$O(^PSRX("AL",PSDT1)) Q:'PSDT1!($E(PSDT1,1,7)>PSDTX)  D
  .S CDT=$P(PSDT1,".") F RXN=0:0 S RXN=$O(^PSRX("AL",PSDT1,RXN)) Q:'RXN  S RXF="" F  S RXF=$O(^PSRX("AL",PSDT1,RXN,RXF)) Q:RXF=""  D CHK
  .S NDT=$O(^PSRX("AL",PSDT1)) D:$P(NDT,".")'=CDT VST
- ;partial fill
- S PSDT1=PSDT                                ;*246
- F  S PSDT1=$O(^PSRX("AM",PSDT1)) Q:($E(PSDT1,1,7)<PSDT)!($E(PSDT1,1,7)>PSDTX)  D
+ F PSDT1=PSDT:0:PSDTX S PSDT1=$O(^PSRX("AM",PSDT1)) Q:'PSDT1!($E(PSDT1,1,7)>PSDTX)  D
  .S CDT=$P(PSDT1,"."),RXN=0 F  S RXN=$O(^PSRX("AM",PSDT1,RXN)) Q:'RXN  S RXF=0 F  S RXF=$O(^PSRX("AM",PSDT1,RXN,RXF)) Q:RXF=""  S PAR=1 D CHK
  .S NDT=$O(^PSRX("AM",PSDT1)) D:$P(NDT,".")'=CDT VST K PAR
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSODEA.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSODEA.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSODEA.m	(revision 636)
@@ -1,4 +1,4 @@
-PSODEA ;BHAM ISC/  - HELP TEXT FOR DEA FIELD IN DRUG FILE ; 10/17/07 7:41am
- ;;7.0;OUTPATIENT PHARMACY;**206**;DEC 1997;Build 39
+PSODEA ;BHAM ISC/  - HELP TEXT FOR DEA FIELD IN DRUG FILE ; 06/03/92 17:28
+ ;;7.0;OUTPATIENT PHARMACY;;DEC 1997
  W !,"THE SPECIAL HANDLING CODE IS A 2 TO 6 POSTION FIELD.  IF APPLICABLE,",!,"A SCHEDULE CODE MUST APPEAR IN THE FIRST POSITION.  FOR EXAMPLE,"
  W !,"A SCHEDULE 3 NARCOTIC WILL BE CODED '3A' AND A SCHEDULE 2 DEPRESSANT",!,"WILL BE CODED '2L'.  THE CODES ARE:",!
@@ -21,8 +21,8 @@
  ;;R          RESTRICTED ITEMS
  ;;S          SUPPLY ITEMS
- ;;B          ALLOW REFILL (SCH. 3, 4, 5 ONLY)
+ ;;B          ALLOW REFILL (SCH. 3, 4, 5 NARCOTICS ONLY)
  ;;W          NOT RENEWABLE
  ;;
 EDIT ;INPUT XFORM FOR DEA FIELD IN DRUG FILE
- I X["B",(+X<3) W !,"The B designation is only valid for schedule 3, 4, 5 !",$C(7) K X Q
+ I X["B",(+X<3!(X'["A")) W !,"The B designation is only valid for schedule 3, 4, 5 narcotics !",$C(7) K X Q
  Q
